<?php
remove_action('wp_head', 'wp_generator');

/*	Register sidebars
/*---------------------------------------------------------*/
register_sidebar(array(
	'name' => __( 'sidebar' ),
  'before_widget' => '<section id="%1$s" class="grid %2$s">',
  'after_widget' => '</article></section>',
  'before_title' => '<h3 class="heading"><span>',
  'after_title' => '</span></h3><article>'
	));

add_filter( 'wp_list_categories', 'tpl_033_rwd_list_categories', 10, 2 );
function tpl_033_rwd_list_categories( $output, $args ) {
  $output = preg_replace('/<\/a>\s*\((\d+)\)/',' ($1)</a>',$output);
  return $output;
}

add_filter( 'get_archives_link', 'tpl_033_rwd_archives_link' );
function tpl_033_rwd_archives_link( $output ) {
  $output = preg_replace('/<\/a>\s*(&nbsp;)\((\d+)\)/',' ($2)</a>',$output);
  return $output;
}


/*	This is all for compatibility with versions of WordPress prior to 3.4.
/*---------------------------------------------------------*/
if (!isset( $content_width ))$content_width = 625;


/*	This theme uses post thumbnails
/*---------------------------------------------------------*/
add_theme_support( 'post-thumbnails' );
add_image_size('size1',290,470);


/*	Custom Excerpt "more" Link
/*---------------------------------------------------------*/
function change_excerpt_more($post) {
  return ' ...';    
}    
add_filter('excerpt_more', 'change_excerpt_more');


/*	Load up the theme options
/*---------------------------------------------------------*/
require( dirname( __FILE__ ) . '/inc/theme-options.php' );


/*	Add admin CSS
/*---------------------------------------------------------*/
function tpl_033_rwd_admin_css(){
	$adminCssPath = get_template_directory_uri().'/cTpl_admin.css';
	wp_enqueue_style( 'theme', $adminCssPath , false, '2012');
}
add_action('admin_head', 'tpl_033_rwd_admin_css', 11);


/*	Display navigation to next/previous pages when applicable
/*---------------------------------------------------------*/
function tpl_033_rwd_content_nav( $nav_id ) {
	global $wp_query;
	if ( $wp_query->max_num_pages > 1 ) : ?>
		<div class="pagenav">
			<div class="prev"><?php previous_posts_link('&laquo; 前のページ'); ?></div>
			<div class="next"><?php next_posts_link('次のページ &raquo;'); ?></div>
		</div>
	<?php endif;
	wp_reset_query();
} 

?>